Subject: bug#76202: Resizing FAT32 failed

From: "Brian C. Lane" <[email-masked]>
Date: Tue, 11 Feb 2025 11:48:41 -0800

On Tue, Feb 11, 2025 at 04:54:33PM +0300, [email-masked] wrote:
> Hello!
> 
> Old know issue with parted causing to fail to resize FAT32 partition
> above or below 256MB has a misleading error message which is stating:
> 
> "GNU Parted cannot resize this partition to this size. We're working on
> it!"
> 
> According to GParted bug report it has deep roots, which is hard to
> investigate and having simple workaround results in postponed this
> issue for many years.
> 
> https://gitlab.gnome.org/GNOME/gparted/-/issues/186#note_2347574
> 
> Can we change a error message to something more user friendly with more
> details? Let's say instead saying "we are working on it" say that
> libparted does not support resizing FAT32 partition below or above
> 256MB. Only supports resizing partition larger that 256MB.
> 
> That would reduce confusion, and explain to the user what is wrong
> instead of suggestion for user to wait until that bug will be fixed.

Sure, but your wording there leaves me confused :) By saying 'does not
support resizing FAT32 partition below or above 256MB.' you are saying
it cannot resize anything. AFAIK for FAT32 it needs to be 256MB or
larger. Or stated a different way, it cannot be resized if it is smaller
than 256MB.

I'm fine with changing the wording, but I'm not sure that message only
shows up with the FAT32 256MB limitation and I'm not sure how to make it
generic and helpful.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart